Skip to main content
GET
/
?module=token&action=getToken
Get Token Info
curl --request GET \
  --url 'https://eth.blockscout.com/api/?module=token&action=getToken'
import requests

url = "https://eth.blockscout.com/api/?module=token&action=getToken"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/?module=token&action=getToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "1",
  "message": "OK",
  "result": {
    "cataloged": true,
    "contractAddress": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
    "decimals": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "totalSupply": "<string>"
  }
}

Query Parameters

module
enum<string>
required

Module name (must be 'token')

Available options:
token
action
enum<string>
required
Available options:
getToken
contractaddress
string
required

Token contract address 40-character hexadecimal address hash with 0x prefix

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae"

Response

200 - application/json

Token info retrieved successfully

status
enum<string>

Status code (1 = OK)

Available options:
1
message
string

Response message

Example:

"OK"

result
object